<bugID>883649<Summary>Console freezes when accessing a DeadObject's property</Summary><Description>User Agent: Mozilla/5.0 (Windows NT 5.1; rv:24.0) Gecko/20130615 Firefox/24.0 (Nightly/Aurora)
Build ID: 20130615031212

Steps to reproduce:

Open a new tab (to avoid pop-up blocker)
Open the console
Enter the following to the console:
&gt; var win = window.open('about:blank','blank');
  &lt; undefined
&gt; win.close()
  &lt; undefined
&gt; win
  &lt; [object DeadObject]
&gt; win.freezeConsole // Or win.whatever


Actual results:

The console becomes frozen: `win.freezeConsole` doesn't return anything, and if you enter something else (like `window`) it doesn't work neither.


Expected results:

It shouldn't freeze. Instead, I guess that it should throw "TypeError: can't access dead object", like it does on Firefox Stable 21.

I don't know if it's related, but on FF 21 `win` becomes `undefined` instead of `[object DeadObject]`.</Description></bugID>